Awkward Array: PyArrayCache Class Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PyArrayCache Class Reference

`#include <virtual.h>`

Inheritance diagram for PyArrayCache:

## Public Member Functions
| PyArrayCache (const py::object &mutablemapping)
const py::object | mutablemapping () const
ak::ContentPtr | get (const std::string &key) const override
| Attempts to get an array; may be `nullptr` if not available. More...
void | set (const std::string &key, const ak::ContentPtr &value) override
| Writes or overwrites an array at `key`. More...
bool | is_broken () const override
| Returns true if the cache cannot be used for any reason. More...
const std::string | tostring_part (const std::string &indent, const std::string &pre, const std::string &post) const override
virtual ContentPtr | get (const std::string &key) const =0
| Attempts to get an array; may be `nullptr` if not available. More...
virtual void | set (const std::string &key, const ContentPtr &value)=0
| Writes or overwrites an array at `key`. More...
virtual bool | is_broken () const =0
| Returns true if the cache cannot be used for any reason. More...
virtual const std::string | tostring_part (const std::string &indent, const std::string &pre, const std::string &post) const =0

## Additional Inherited Members
Static Public Member Functions inherited from ArrayCache
static const std::string | newkey ()
| Returns a new key that is globally unique in the current process. More...

## Constructor & Destructor Documentation

## ◆ PyArrayCache()

PyArrayCache | ( | const py::object & | mutablemapping | ) |

## Member Function Documentation

## ◆ get()

ak::ContentPtr get | ( | const std::string & | key | ) | const
| overridevirtual

Attempts to get an array; may be `nullptr` if not available.

Implements ArrayCache.

## ◆ is_broken()

bool is_broken | ( |  | ) | const
| overridevirtual

Returns true if the cache cannot be used for any reason.

Implements ArrayCache.

## ◆ mutablemapping()

const py::object mutablemapping | ( |  | ) | const

## ◆ set()

void set | ( | const std::string & | key,
|  | const ak::ContentPtr & | value
| ) |  |
| overridevirtual

Writes or overwrites an array at `key`.

Implements ArrayCache.

## ◆ tostring_part()

const std::string tostring_part | ( | const std::string & | indent,
|  | const std::string & | pre,
|  | const std::string & | post
| ) |  | const
| overridevirtual

Implements ArrayCache.

The documentation for this class was generated from the following file:

- include/awkward/python/virtual.h